DROP DATABASE
IF EXISTS BOOK_DB;

CREATE DATABASE BOOK_DB;

USE BOOK_DB;

CREATE TABLE
IF NOT EXISTS books (
	id INTEGER NOT NULL AUTO_INCREMENT,
	title VARCHAR (255) NOT NULL,
	autor VARCHAR (255) NOT NULL,
	userName VARCHAR (255) NOT NULL,
	fileUri VARCHAR (255) NOT NULL,
	description VARCHAR (255),
	price DECIMAL (10, 2),
	published INTEGER DEFAULT 0,
	PRIMARY KEY (id)
) ENGINE INNODB;

CREATE TABLE images (
	id INTEGER NOT NULL AUTO_INCREMENT,
	NAME VARCHAR (255) DEFAULT NULL,
	bytes LONGBLOB,
	type VARCHAR (255) DEFAULT NULL,
	book INTEGER NULL,
	PRIMARY KEY (id),
	UNIQUE KEY FK_book_idx (book),
	CONSTRAINT FK_bookt FOREIGN KEY (book) REFERENCES books (id) ON DELETE CASCADE
) ENGINE INNODB;